«Ошибка имени: имя« get_ipython »не определено» при подготовке сеанса отладки через «import ipdb»

Я пытаюсь установить и использовать ipdb (IPdon-совместимый pdb) на Python 3.3.5 32 бит на Win10 с использованием PIP 8.1.2. Я установил через PIP (должен был установить его отдельно) в windows cmd без ошибок:

pip install ipdb 

Я написал простой тестовый скрипт, ожидающий остановки в отладчике перед печатью строки «test», ipdb_test.py :

 import ipdb ipdb.set_trace() print('test') 

При запуске из редактора IDLE появляются следующие исключения:

 Traceback (most recent call last): File "C:\Python33.5-32\lib\site-packages\ipdb\__main__.py", line 44, in <module> get_ipython NameError: name 'get_ipython' is not defined During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:/temp/ipdb_test.py", line 1, in <module> import ipdb File "C:\Python33.5-32\lib\site-packages\ipdb\__init__.py", line 7, in <module> from ipdb.__main__ import set_trace, post_mortem, pm, run # noqa File "C:\Python33.5-32\lib\site-packages\ipdb\__main__.py", line 51, in <module> (...) File "C:\Python33.5-32\lib\site-packages\prompt_toolkit\terminal\win32_output.py", line 266, in flush self.stdout.flush() AttributeError: 'NoneType' object has no attribute 'flush' 

One Solution collect form web for “«Ошибка имени: имя« get_ipython »не определено» при подготовке сеанса отладки через «import ipdb»”

Поскольку проблема, похоже, была связана с IPython, я проверил, что версия, установленная при разрешении зависимостей ipdb, была: «ipython-5.1.0».

Решение WA для проблемы возникло как отказ от версии 4.2.1 IPython:

 pip install "ipython<5" (...) Successfully uninstalled ipython-5.1.0 Successfully installed ipython-4.2.1 

После этого ipdb остановился на точке останова, как ожидалось:

 $ python C:\temp\ipdb_test.py WARNING: Readline services not available or not loaded. WARNING: Proper color support under MS Windows requires the pyreadline library. You can find it at: http://ipython.org/pyreadline.html Defaulting color scheme to 'NoColor' > c:\temp\ipdb_test.py(3)<module>() 1 import ipdb 2 ipdb.set_trace() ----> 3 print('test') ipdb> 

Возможно, это действительный случай, чтобы связаться с командой проекта IPython по этой проблеме, тем временем я нахожу начальную задачу запуска сеанса отладки.

Interesting Posts

Как я должен научиться использовать Windows API с Python?

Как динамически составлять фильтр запросов OR в Django?

MatLab (или любой другой язык) для преобразования матрицы или csv для размещения значений второго столбца в одну строку, если значение 1-го столбца одинаково?

Закрытие Python не работает должным образом

Django Celery Получил незарегистрированную задачу типа 'appname.tasks.add'

Около 20 моделей в 1 приложении django

Python db-api: fetchone vs fetchmany vs fetchall

Замена HTML-тегов с использованием регулярных выражений и python

Django / gevent socket.IO с redis pubsub. Где я могу поместить вещи?

Локарифмическая автомасштабирование Python matplotlib

Регулярное выражение Python заменяет строку, которая не должна совпадать

pandas выберите из Dataframe, используя startswith

Scipy Leastsq Дополнительная переменная вывода (Mesg)

Каков самый чистый способ добавить каталог сторонних пакетов в начало пути Python?

KeyError: «данные» с клиентом API Python

Python - лучший язык программирования в мире.